View Single Post
Posts: 317 | Thanked: 783 times | Joined on Oct 2009 @ Krakow, Poland
#7
Originally Posted by Joorin View Post
If it depends on libgles1, I'd say something is broken. The N900 uses OpenGLES 2.0 and to write an application that's not using that sounds like a mistake.
Could you elaborate a little? I thought N900 fully supports OpenGL ES 1.1 and 2.0 and since PR1.2 all drivers and libraries are available for both versions. I found the API of OpenGL ES 1.1 fits my needs much more than OpenGL ES 2.0 for early stage of this project. It is indeed much simpler and I don't need shaders at all (at this stage). If there are significant performance (or other) advantages of using 2.0 I will surely consider switching to it.